ODK API Portal
English
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • 지원 종료
  • 최근 변경
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
    Notice Listget공지사항 상세 조회get
otp
page
payment
playback-log
playback
profile
program
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

notice


Notice List

GET
https://odkmedia.io
/odx/api/v3/notice/

Notice List › query Parameters

debug
​string

If value is "on", debug is included in response.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

Notice List › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

Notice List › Responses

200
PaginatedNoticeList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​Notice[]
GET/odx/api/v3/notice/
curl https://odkmedia.io/odx/api/v3/notice \ --header 'Service-Name: odk'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "enable": true, "link": "https://www.example.com/path/to/resource", "published_at": "2024-08-25T15:00:00Z", "title": "title" } ] }
json
application/json

공지사항 상세 조회

GET
https://odkmedia.io
/odx/api/v3/notice/{id}/

공개(AllowAny) 엔드포인트로, Service-Name 헤더로 스코프를 좁혀 활성 상태인 공지사항 하나를 id 로 조회한다. 제목은 다국어(i18n) 필드다. 부수효과는 없다.

공지사항 상세 조회 › path Parameters

id
​integer · required

A unique integer value identifying this notice.

공지사항 상세 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

공지사항 상세 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

공지사항 상세 조회 › Responses

200
Notice
published_at
​string · date-time · required

Create or WIX publish datetime

title
​string · maxLength: 1024 · required
enable
​boolean

Notice enabled

​

External Link

GET/odx/api/v3/notice/{id}/
curl https://odkmedia.io/odx/api/v3/notice/:id \ --header 'Service-Name: odk'
Example Responses
{ "enable": true, "link": "https://www.example.com/path/to/resource", "published_at": "2024-08-25T15:00:00Z", "title": "title" }
json
application/json

navigationotp